Interface IgniteCacheEndpointBuilderFactory.IgniteCacheBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
IgniteCacheEndpointBuilderFactory
public static interface IgniteCacheEndpointBuilderFactory.IgniteCacheBuilders
-
Method Summary
Modifier and TypeMethodDescriptionIgnite Cache (camel-ignite) Perform cache operations on an Ignite cache or consume changes from a continuous query.igniteCache(String path) Ignite Cache (camel-ignite) Perform cache operations on an Ignite cache or consume changes from a continuous query.igniteCache(String componentName, String path) Ignite Cache (camel-ignite) Perform cache operations on an Ignite cache or consume changes from a continuous query.
-
Method Details
-
igniteCache
Ignite Cache (camel-ignite) Perform cache operations on an Ignite cache or consume changes from a continuous query. Category: cache,clustering Since: 2.17 Maven coordinates: org.apache.camel:camel-ignite- Returns:
- the dsl builder for the headers' name.
-
igniteCache
Ignite Cache (camel-ignite) Perform cache operations on an Ignite cache or consume changes from a continuous query. Category: cache,clustering Since: 2.17 Maven coordinates: org.apache.camel:camel-ignite Syntax:ignite-cache:cacheNamePath parameter: cacheName (required) The cache name.- Parameters:
path- cacheName- Returns:
- the dsl builder
-
igniteCache
default IgniteCacheEndpointBuilderFactory.IgniteCacheEndpointBuilder igniteCache(String componentName, String path) Ignite Cache (camel-ignite) Perform cache operations on an Ignite cache or consume changes from a continuous query. Category: cache,clustering Since: 2.17 Maven coordinates: org.apache.camel:camel-ignite Syntax:ignite-cache:cacheNamePath parameter: cacheName (required) The cache name.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- cacheName- Returns:
- the dsl builder
-